Variants
Variants are sub elements of products that define different variations a product exist in, ex. different colors, sizes etc. Variants cannot exist on its own as they need to be attached to a product. Variants have defining attributes which defines the attributes variants of a product vary on, ex. color and size, with and length etc.
By default, ids for archived variants are not returned
Include archived variants
falseOK
GET /v1/variants/ids HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
[
56165,
65332,
1565313,
41633,
5613,
23536,
56332
]Id of variant
OK
Variant model holding basic information about the variant
Id of variant
Id of product to which variant is attached
#Available from v.3.2.0 The sort order of the variant compared to other variants of this product
#Available from v.3.11.0 The variant group this variant is connected to, if any
#Available from v.3.11.0 The sortorder relative to other variants connected to the same variant group
Timestamp of variant creation
Username of the user who created the variant
Timestamp of the last variant update
Username of the user who made the last change to the variant
Indicates whether the variant is archived
The uid of the archive reason selected when the variant was archived
The product structure used by this variant
The unique ids of the attributes acting as defining attributes for this variant
The uid of the workflow state of the variant
GET /v1/variants/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
{
"Id": 2011,
"Name": {
"en-GB": "Apple Iphone - Red/256GB",
"da-DK": "Apple Iphone - Rød/256GB"
},
"ProductId": 3922,
"SortOrder": 3,
"VariantGroupId": null,
"VariantGroupSortOrder": null,
"Created": "2026-11-16T18:51:56.3010723+00:00",
"CreatedBy": "Struct",
"LastModified": "2026-11-16T18:51:56.3010736+00:00",
"LastModifiedBy": "Struct",
"IsArchived": false,
"ArchiveReason": "c4084b4d-e659-4978-9119-92f1c3dc5322",
"ProductStructureUid": "804726f3-6301-4654-9852-d72209be3c4b",
"DefiningAttributes": [
"8134d10a-71bd-4fe2-b624-b7930083fbce",
"b90223e2-fa07-4954-9e39-edda01b178eb"
],
"WorkflowStateUid": "a119cb38-15c5-4322-a33f-86bb31f63c68",
"BusinessUnits": []
}Id of variant
Update model containing the updates to make on a variant. Note that properties with null values will be ignored and will not cause an update. This means you should only set properties that shall be updated on the variant
Id of product to move variant to
Indicate whether the product shall be archived or un-archived
Reference to the archive reason when archiving variant (if IsArchived is true)
Sort order of variant compared to other variants of the product
Sort order of variant compared to other variants in same variant group
Workflow state to set on the variant
OK
No content
PATCH /v1/variants/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 345
{
"ProductId": null,
"IsArchived": null,
"ArchiveReason": "15588c0a-4e21-419b-b964-095d62b03bc5",
"SortOrder": null,
"VariantGroupSortOrder": null,
"WorkflowStateUid": "ef0ca990-88c3-4dfe-a910-569e68e93c91",
"BusinessUnits": null,
"Values": {
"EAN": "5796359512359",
"Size": "L",
"Color": [
{
"CultureCode": "en-GB",
"Data": "Red"
},
{
"CultureCode": "da-DK",
"Data": "Rød"
}
]
}
}OK
No content
OK
Variant model holding basic information about the variant
Id of variant
Id of product to which variant is attached
#Available from v.3.2.0 The sort order of the variant compared to other variants of this product
#Available from v.3.11.0 The variant group this variant is connected to, if any
#Available from v.3.11.0 The sortorder relative to other variants connected to the same variant group
Timestamp of variant creation
Username of the user who created the variant
Timestamp of the last variant update
Username of the user who made the last change to the variant
Indicates whether the variant is archived
The uid of the archive reason selected when the variant was archived
The product structure used by this variant
The unique ids of the attributes acting as defining attributes for this variant
The uid of the workflow state of the variant
POST /v1/variants/batch HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 3
[
1
]OK
[
{
"Id": 2011,
"Name": {
"en-GB": "Apple Iphone - Red/256GB",
"da-DK": "Apple Iphone - Rød/256GB"
},
"ProductId": 3922,
"SortOrder": 3,
"VariantGroupId": null,
"VariantGroupSortOrder": null,
"Created": "2026-11-16T18:51:56.3024178+00:00",
"CreatedBy": "Struct",
"LastModified": "2026-11-16T18:51:56.3024191+00:00",
"LastModifiedBy": "Struct",
"IsArchived": false,
"ArchiveReason": "05fdb1f5-cfe3-48c7-856a-50f3f3493f6a",
"ProductStructureUid": "9b620c03-e283-43b7-8ea0-20262ad6b842",
"DefiningAttributes": [
"72726c79-04af-4822-8e7a-3d11b3692835",
"9b54fc3e-2655-4739-b444-939d2337ed8b"
],
"WorkflowStateUid": "c807ebe3-c665-4fd8-a9d8-203fb25aef74",
"BusinessUnits": []
},
{
"Id": 2012,
"Name": {
"en-GB": "Apple Iphone - Red/512GB",
"da-DK": "Apple Iphone - Rød/512GB"
},
"ProductId": 3922,
"SortOrder": 2,
"VariantGroupId": null,
"VariantGroupSortOrder": null,
"Created": "2026-08-08T18:51:56.3024208+00:00",
"CreatedBy": "Struct",
"LastModified": "2026-06-19T18:51:56.3024209+00:00",
"LastModifiedBy": "Struct",
"IsArchived": false,
"ArchiveReason": "b62329a9-38f7-44e2-8682-d44d0bf81dea",
"ProductStructureUid": "9b620c03-e283-43b7-8ea0-20262ad6b842",
"DefiningAttributes": [
"72726c79-04af-4822-8e7a-3d11b3692835",
"9b54fc3e-2655-4739-b444-939d2337ed8b"
],
"WorkflowStateUid": "f74298a3-e194-40d4-9dff-5485cec1dfd6",
"BusinessUnits": []
},
{
"Id": 2013,
"Name": {
"en-GB": "Samsung TV - 55 inch",
"da-DK": "Samsung TV - 55 tommer"
},
"ProductId": 4443,
"SortOrder": 1,
"VariantGroupId": null,
"VariantGroupSortOrder": null,
"Created": "2026-05-25T18:51:56.3024213+00:00",
"CreatedBy": "Struct",
"LastModified": "2026-05-25T18:51:56.3024214+00:00",
"LastModifiedBy": "Struct",
"IsArchived": false,
"ArchiveReason": "92db744e-872b-4ad6-85fe-8dca4ea98f05",
"ProductStructureUid": "9b620c03-e283-43b7-8ea0-20262ad6b842",
"DefiningAttributes": [
"a2bbce07-69af-47c4-8f19-f8b86aa78bb5"
],
"WorkflowStateUid": "86258af3-ed3a-4983-a276-cbbe7faae66d",
"BusinessUnits": []
}
]No more than 5000 variants can be requested at a time. If no limit is provided, the default limit of 1000 will be used. By default, archived variants are not returned
false1000OK
Result set of variants from a variant query
The total number of items
The remaining items that lie after the last id of the item in this result set
The id of the last item in this result set
GET /v1/variants HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
{
"Variants": [
{
"Id": 2011,
"Name": {
"en-GB": "Apple Iphone - Red/256GB",
"da-DK": "Apple Iphone - Rød/256GB"
},
"ProductId": 3922,
"SortOrder": 3,
"VariantGroupId": null,
"VariantGroupSortOrder": null,
"Created": "2026-11-16T18:51:56.3029827+00:00",
"CreatedBy": "Struct",
"LastModified": "2026-11-16T18:51:56.3029835+00:00",
"LastModifiedBy": "Struct",
"IsArchived": false,
"ArchiveReason": "a7828fd8-0b05-4f2d-b0a0-83b39fb61aeb",
"ProductStructureUid": "9333fc6a-0839-451c-b3ee-df1b6821d844",
"DefiningAttributes": [
"ce18740f-666b-4152-a432-dcb120f90324",
"efd5a696-d18d-408a-9233-68ce35dd4990"
],
"WorkflowStateUid": "411faae2-e30b-4b03-b8ee-755086e76030",
"BusinessUnits": []
},
{
"Id": 2012,
"Name": {
"en-GB": "Apple Iphone - Red/512GB",
"da-DK": "Apple Iphone - Rød/512GB"
},
"ProductId": 3922,
"SortOrder": 2,
"VariantGroupId": null,
"VariantGroupSortOrder": null,
"Created": "2026-08-08T18:51:56.3029845+00:00",
"CreatedBy": "Struct",
"LastModified": "2026-06-19T18:51:56.3029846+00:00",
"LastModifiedBy": "Struct",
"IsArchived": false,
"ArchiveReason": "ee76c812-c9e4-4a47-92bb-d72e3a9fee49",
"ProductStructureUid": "9333fc6a-0839-451c-b3ee-df1b6821d844",
"DefiningAttributes": [
"ce18740f-666b-4152-a432-dcb120f90324",
"efd5a696-d18d-408a-9233-68ce35dd4990"
],
"WorkflowStateUid": "3c521246-ae3c-4e75-8646-554aa80cd893",
"BusinessUnits": []
},
{
"Id": 2013,
"Name": {
"en-GB": "Samsung TV - 55 inch",
"da-DK": "Samsung TV - 55 tommer"
},
"ProductId": 4443,
"SortOrder": 1,
"VariantGroupId": null,
"VariantGroupSortOrder": null,
"Created": "2026-05-25T18:51:56.3029851+00:00",
"CreatedBy": "Struct",
"LastModified": "2026-05-25T18:51:56.3029852+00:00",
"LastModifiedBy": "Struct",
"IsArchived": false,
"ArchiveReason": "d2687e27-26e4-477c-b0c7-de79fbfb110f",
"ProductStructureUid": "9333fc6a-0839-451c-b3ee-df1b6821d844",
"DefiningAttributes": [
"8de880db-c71d-4cf8-b1ec-d0e36f1f2e66"
],
"WorkflowStateUid": "f7467f2b-3411-4680-a756-3a0d92d3c48b",
"BusinessUnits": []
}
],
"Total": 20102,
"Remaining": 20100,
"LastId": 20
}A maximum of 5000 variants can be created in one request
Model for creating a new variant
Id of product to attach variant to
Sort order of variant compared to other variants of the product (when null, variant is placed after existing variants)
Sort order of variant compared to other variants in same variant group
Workflow state to set on the variant
OK
Bad Request
POST /v1/variants HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 547
[
{
"ProductId": 3699,
"SortOrder": null,
"VariantGroupSortOrder": null,
"WorkflowStateUid": "1b618284-3241-428c-af6a-c96549c9d740",
"BusinessUnits": null,
"Values": {
"EAN": "5796359512359",
"Size": "L",
"Color": [
{
"CultureCode": "en-GB",
"Data": "Red"
},
{
"CultureCode": "da-DK",
"Data": "Rød"
}
]
}
},
{
"ProductId": 3699,
"SortOrder": null,
"VariantGroupSortOrder": null,
"WorkflowStateUid": "54b8faaf-e7db-4210-8173-6dc9724f7c90",
"BusinessUnits": null,
"Values": {
"EAN": "5756962549623",
"Size": "M",
"Color": [
{
"CultureCode": "en-GB",
"Data": "Red"
},
{
"CultureCode": "da-DK",
"Data": "Rød"
}
]
}
}
]1Update model for a variant
Id of variant to update
OK
No content
PATCH /v1/variants HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 831
[
{
"VariantId": 23556,
"UpdateModel": {
"ProductId": null,
"IsArchived": null,
"ArchiveReason": "8e7f36bf-4591-4c64-83ed-5e71f021e9a7",
"SortOrder": null,
"VariantGroupSortOrder": null,
"WorkflowStateUid": "4e159547-c71b-44dc-b2e0-847227e558f5",
"BusinessUnits": null,
"Values": {
"Size": "L"
}
}
},
{
"VariantId": 20111,
"UpdateModel": {
"ProductId": null,
"IsArchived": true,
"ArchiveReason": "2f5a3128-cf91-4d6a-ad58-4d322bd39788",
"SortOrder": null,
"VariantGroupSortOrder": null,
"WorkflowStateUid": "4d188e1c-c840-4931-8350-0c044be7fab3",
"BusinessUnits": null,
"Values": {}
}
},
{
"VariantId": 56843,
"UpdateModel": {
"ProductId": 30211,
"IsArchived": null,
"ArchiveReason": "75384c15-7e55-4535-af96-aa70d382f38c",
"SortOrder": 32,
"VariantGroupSortOrder": null,
"WorkflowStateUid": "beb867cd-5866-46aa-bee8-2690832f9ef7",
"BusinessUnits": null,
"Values": {
"EAN": "5796359512359",
"Size": "M"
}
}
}
]OK
No content
Alias of identifier type
OK
GET /v1/variants/identifiers/{identifierAlias} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
{
"5796359512359": 10000,
"5756525697563": 11012,
"5756326985442": 15133
}Alias of identifier type
Identifier value
OK
GET /v1/variants/identifiers/{identifierAlias}/{identifier} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
1Provide an identifier alias along with an array of identifiers to get the internal entity ids matching those identifiers
The alias of the identifier
Array of identifiers to return internal ids for
OK
POST /v1/variants/batch/identifiers HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 49
{
"IdentifierAlias": "text",
"Identifiers": [
"text"
]
}OK
{
"5796359512359": 10000,
"5756525697563": 11012,
"5756326985442": 15133,
"5799645384354": null
}Id of variant
Indicate if only uids of referenced to global list values shall be returned instead of the materialized values
falseOK
Model containing requested variant attribute values
Id of variant
Not Found
GET /v1/variants/{id}/attributevalues HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"VariantId": 56687,
"Values": {
"EAN": "5796359512359",
"Size": "L",
"Color": [
{
"CultureCode": "en-GB",
"Data": "Red"
},
{
"CultureCode": "da-DK",
"Data": "Rød"
}
]
}
}No more than 5000 variants can be requested at a time.
Define which categories to fetch data for and what data to fetch
Ids of products to return
Defines which attribute values to return
1= All: Return all attribute values2= Scopes: Return values for scopes specified in request3= Aliases: Return values for attribute aliases specified in request4= ScopesAndAliases: Return values for attributes in specified scopes, plus values in the attributes specified by alias5= Uids: Return values for attribute uids specified in request
If IncludeValues is Scopes, define which scopes to return values for here
If IncludeValues is Aliases, define aliases of the attributes to include values for
If IncludeValues is Uids, define uids of the attributes to include values for
Only return values for specific languages
Only return values for specific dimension segments
Indicate if only uids of referenced to global list values shall be returned instead of the materialized values
Get attribute values back in time
OK
Model containing requested variant attribute values
Id of variant
POST /v1/variants/batch/attributevalues HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 259
{
"VariantIds": [
1
],
"IncludeValues": 1,
"Scopes": [
"text"
],
"Aliases": [
"text"
],
"Uids": [
"123e4567-e89b-12d3-a456-426614174000"
],
"LimitToCultureCodes": [
"text"
],
"LimitToSegments": [
"text"
],
"GlobalListValueReferencesOnly": true,
"FromTimestamp": "2026-01-01T00:00:00.000Z"
}OK
[
{
"VariantId": 56687,
"Values": {
"EAN": "5796359512359",
"Size": "L",
"Color": [
{
"CultureCode": "en-GB",
"Data": "Red"
},
{
"CultureCode": "da-DK",
"Data": "Rød"
}
]
}
},
{
"VariantId": 56297,
"Values": {
"EAN": "5756962549623",
"Size": "M",
"Color": [
{
"CultureCode": "en-GB",
"Data": "Red"
},
{
"CultureCode": "da-DK",
"Data": "Rød"
}
]
}
}
]Id of variant
Culture code to use for rendering localized attribute values. If not provided, invariant culture will be used
OK
Wraps rendered attribute values for a variant
Id of the variant for which the attribute values are rendered
GET /v1/variants/{id}/attributevalues/rendered HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
{
"VariantId": 2011,
"RenderedValues": [
{
"AttributeAlias": "Name",
"DisplayName": {
"en-GB": "Name",
"da-DK": "Navn"
},
"RenderedValues": [
{
"CultureCode": null,
"Segment": null,
"Dimension": null,
"Value": "Samsung QE65Q950T",
"Unit": null
}
]
},
{
"AttributeAlias": "Description",
"DisplayName": {
"en-GB": "Description",
"da-DK": "Beskrivelse"
},
"RenderedValues": [
{
"CultureCode": "en-GB",
"Segment": null,
"Dimension": null,
"Value": "The best Samsung TV ever produced",
"Unit": null
},
{
"CultureCode": "da-DK",
"Segment": null,
"Dimension": null,
"Value": "Det allerbedste TV Samsung har at byde på",
"Unit": null
}
]
},
{
"AttributeAlias": "ShortDescription",
"DisplayName": {
"en-GB": "Short Description",
"da-DK": "Kort beskrivelse"
},
"RenderedValues": [
{
"CultureCode": "en-GB",
"Segment": "EMEA",
"Dimension": "Market",
"Value": "Very nice TV",
"Unit": null
},
{
"CultureCode": "en-GB",
"Segment": "ASIA",
"Dimension": "Market",
"Value": "Very good TV",
"Unit": null
},
{
"CultureCode": "da-DK",
"Segment": "EMEA",
"Dimension": "Market",
"Value": "Meget lækkert TV",
"Unit": null
},
{
"CultureCode": "da-DK",
"Segment": "ASIA",
"Dimension": "Market",
"Value": "Meget godt TV",
"Unit": null
}
]
},
{
"AttributeAlias": "Weight",
"DisplayName": {
"en-GB": "Weight",
"da-DK": "Vægt"
},
"RenderedValues": [
{
"CultureCode": null,
"Segment": null,
"Dimension": null,
"Value": "15",
"Unit": "kg"
}
]
}
]
}No more than 5000 variants can be requested at a time.
Define which variants to fetch data for and what data to fetch
Ids of variants to return
Defines which attribute values to return
1= All: Return all attribute values2= Scopes: Return values for scopes specified in request3= Aliases: Return values for attribute aliases specified in request4= ScopesAndAliases: Return values for attributes in specified scopes, plus values in the attributes specified by alias5= Uids: Return values for attribute uids specified in request
If IncludeValues is Scopes, define which scopes to return values for here
If IncludeValues is Aliases, define aliases of the attributes to include values for
If IncludeValues is Uids, define uids of the attributes to include values for
Only return values for specific languages
Only return values for specific dimension segments
Culture code to use for rendering values (eg. to control decimal separator, datetime rendering etc.). If not provided, Invariant culture will be used
OK
Wraps rendered attribute values for a variant
Id of the variant for which the attribute values are rendered
POST /v1/variants/batch/attributevalues/rendered HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 206
{
"VariantIds": [
1
],
"IncludeValues": 1,
"Scopes": [
"text"
],
"Aliases": [
"text"
],
"Uids": [
"123e4567-e89b-12d3-a456-426614174000"
],
"LimitToCultureCodes": [
"text"
],
"LimitToSegments": [
"text"
],
"RenderCultureCode": "text"
}OK
[
{
"VariantId": 2011,
"RenderedValues": [
{
"AttributeAlias": "Name",
"DisplayName": {
"en-GB": "Name",
"da-DK": "Navn"
},
"RenderedValues": [
{
"CultureCode": null,
"Segment": null,
"Dimension": null,
"Value": "Samsung QE65Q950T",
"Unit": null
}
]
},
{
"AttributeAlias": "Description",
"DisplayName": {
"en-GB": "Description",
"da-DK": "Beskrivelse"
},
"RenderedValues": [
{
"CultureCode": "en-GB",
"Segment": null,
"Dimension": null,
"Value": "The best Samsung TV ever produced",
"Unit": null
},
{
"CultureCode": "da-DK",
"Segment": null,
"Dimension": null,
"Value": "Det allerbedste TV Samsung har at byde på",
"Unit": null
}
]
},
{
"AttributeAlias": "ShortDescription",
"DisplayName": {
"en-GB": "Short Description",
"da-DK": "Kort beskrivelse"
},
"RenderedValues": [
{
"CultureCode": "en-GB",
"Segment": "EMEA",
"Dimension": "Market",
"Value": "Very nice TV",
"Unit": null
},
{
"CultureCode": "en-GB",
"Segment": "ASIA",
"Dimension": "Market",
"Value": "Very good TV",
"Unit": null
},
{
"CultureCode": "da-DK",
"Segment": "EMEA",
"Dimension": "Market",
"Value": "Meget lækkert TV",
"Unit": null
},
{
"CultureCode": "da-DK",
"Segment": "ASIA",
"Dimension": "Market",
"Value": "Meget godt TV",
"Unit": null
}
]
},
{
"AttributeAlias": "Weight",
"DisplayName": {
"en-GB": "Weight",
"da-DK": "Vægt"
},
"RenderedValues": [
{
"CultureCode": null,
"Segment": null,
"Dimension": null,
"Value": "15",
"Unit": "kg"
}
]
}
]
},
{
"VariantId": 2012,
"RenderedValues": [
{
"AttributeAlias": "Name",
"DisplayName": {
"en-GB": "Name",
"da-DK": "Navn"
},
"RenderedValues": [
{
"CultureCode": null,
"Segment": null,
"Dimension": null,
"Value": "Philips SQ6532dd",
"Unit": null
}
]
},
{
"AttributeAlias": "Description",
"DisplayName": {
"en-GB": "Description",
"da-DK": "Beskrivelse"
},
"RenderedValues": [
{
"CultureCode": "en-GB",
"Segment": null,
"Dimension": null,
"Value": "The best Philips TV ever produced",
"Unit": null
},
{
"CultureCode": "da-DK",
"Segment": null,
"Dimension": null,
"Value": "Det allerbedste TV Philips har at byde på",
"Unit": null
}
]
},
{
"AttributeAlias": "ShortDescription",
"DisplayName": {
"en-GB": "Short Description",
"da-DK": "Kort beskrivelse"
},
"RenderedValues": [
{
"CultureCode": "en-GB",
"Segment": "EMEA",
"Dimension": "Market",
"Value": "Very nice TV",
"Unit": null
},
{
"CultureCode": "en-GB",
"Segment": "ASIA",
"Dimension": "Market",
"Value": "Very good TV",
"Unit": null
},
{
"CultureCode": "da-DK",
"Segment": "EMEA",
"Dimension": "Market",
"Value": "Meget lækkert TV",
"Unit": null
},
{
"CultureCode": "da-DK",
"Segment": "ASIA",
"Dimension": "Market",
"Value": "Meget godt TV",
"Unit": null
}
]
},
{
"AttributeAlias": "Weight",
"DisplayName": {
"en-GB": "Weight",
"da-DK": "Vægt"
},
"RenderedValues": [
{
"CultureCode": null,
"Segment": null,
"Dimension": null,
"Value": "10",
"Unit": "kg"
}
]
}
]
}
]#Available from v.3.5.0
Id of variant
OK
Model holding references from other entities to a variant
Id of the referenced variant
List of global list values referencing this variant
GET /v1/variants/{id}/references HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
[
{
"VariantId": 12,
"ReferencingCategories": [
{
"EntityId": 100,
"AttributeUid": "75417ec8-4edf-475e-95a0-b6d462f0cb15"
},
{
"EntityId": 101,
"AttributeUid": "75417ec8-4edf-475e-95a0-b6d462f0cb15"
}
],
"ReferencingProducts": [
{
"EntityId": 100010,
"AttributeUid": "8ecdf83b-4895-4207-8e5c-7493593efb43"
},
{
"EntityId": 100011,
"AttributeUid": "8ecdf83b-4895-4207-8e5c-7493593efb43"
},
{
"EntityId": 102354,
"AttributeUid": "57492a63-2f72-403e-acea-ef3fa2dfd99c"
}
],
"ReferencingVariantGroups": [],
"ReferencingVariants": [
{
"EntityId": 100,
"AttributeUid": "8ecdf83b-4895-4207-8e5c-7493593efb43"
}
],
"ReferencingAssets": [],
"ReferencingGlobalListValues": [
"443e72bf-57ed-487f-b3ab-5e3f7b03247c",
"91034842-b55f-4fb8-9413-4330e706d7dd"
]
},
{
"VariantId": 20,
"ReferencingCategories": [
{
"EntityId": 100,
"AttributeUid": "75417ec8-4edf-475e-95a0-b6d462f0cb15"
}
],
"ReferencingProducts": [
{
"EntityId": 23553,
"AttributeUid": "8ecdf83b-4895-4207-8e5c-7493593efb43"
},
{
"EntityId": 5656,
"AttributeUid": "8ecdf83b-4895-4207-8e5c-7493593efb43"
}
],
"ReferencingVariantGroups": [],
"ReferencingVariants": [
{
"EntityId": 568323,
"AttributeUid": "57492a63-2f72-403e-acea-ef3fa2dfd99c"
}
],
"ReferencingAssets": [],
"ReferencingGlobalListValues": [
"8dc2e185-319c-4b9b-a602-f286e3262b8b",
"01a95db3-9f34-4804-9e0e-9bbd718c1eb1"
]
}
]#Available from v.3.5.0 No more than 5000 values can be requested at a time.
OK
Model holding references from other entities to a variant
Id of the referenced variant
List of global list values referencing this variant
POST /v1/variants/batch/references HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 3
[
1
]OK
[
{
"VariantId": 12,
"ReferencingCategories": [
{
"EntityId": 100,
"AttributeUid": "cd35fcf0-d192-4f73-b9d5-5345a8a20e8b"
},
{
"EntityId": 101,
"AttributeUid": "cd35fcf0-d192-4f73-b9d5-5345a8a20e8b"
}
],
"ReferencingProducts": [
{
"EntityId": 100010,
"AttributeUid": "9e281b54-61dd-4648-aeb1-8b4e9a4bc495"
},
{
"EntityId": 100011,
"AttributeUid": "9e281b54-61dd-4648-aeb1-8b4e9a4bc495"
},
{
"EntityId": 102354,
"AttributeUid": "ded30c0d-3691-4c5f-9947-6ada29bd4d63"
}
],
"ReferencingVariantGroups": [],
"ReferencingVariants": [
{
"EntityId": 100,
"AttributeUid": "9e281b54-61dd-4648-aeb1-8b4e9a4bc495"
}
],
"ReferencingAssets": [],
"ReferencingGlobalListValues": [
"2659ec93-4d65-49e7-bd69-db8d01e1d77a",
"4595cf99-8a30-40d9-b089-6efb8d7fee93"
]
},
{
"VariantId": 20,
"ReferencingCategories": [
{
"EntityId": 100,
"AttributeUid": "cd35fcf0-d192-4f73-b9d5-5345a8a20e8b"
}
],
"ReferencingProducts": [
{
"EntityId": 23553,
"AttributeUid": "9e281b54-61dd-4648-aeb1-8b4e9a4bc495"
},
{
"EntityId": 5656,
"AttributeUid": "9e281b54-61dd-4648-aeb1-8b4e9a4bc495"
}
],
"ReferencingVariantGroups": [],
"ReferencingVariants": [
{
"EntityId": 568323,
"AttributeUid": "ded30c0d-3691-4c5f-9947-6ada29bd4d63"
}
],
"ReferencingAssets": [],
"ReferencingGlobalListValues": [
"83db35c5-5838-497d-a8bd-bbb4487f4a5d",
"28ee977f-92ae-4baf-b5d3-2ae815b55721"
]
}
]Search model used for searching products or variants in PIM
Include archived items in result
OK
POST /v1/variants/search HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 552
{
"IncludeArchived": false,
"QueryModel": {
"SubQueries": [
{
"Filters": [
{
"FieldUid": "6a5d7f84-1d34-4f96-b5c3-7a6e1d2b4c90_NA_NA",
"QueryOperator": {},
"FilterValue": "DK"
}
],
"BooleanOperator": {},
"QueryModelType": "SimpleQueryModel"
},
{
"Filters": [
{
"FieldUid": "89b4cda9-d803-4812-9862-51167c809f2c_en-GB_NA",
"QueryOperator": {},
"FilterValue": "red"
},
{
"FieldUid": "89b4cda9-d803-4812-9862-51167c809f2c_en-GB_NA",
"QueryOperator": {},
"FilterValue": "blue"
}
],
"BooleanOperator": {},
"QueryModelType": "SimpleQueryModel"
}
],
"BooleanOperator": {},
"QueryModelType": "BooleanQueryModel"
}
}OK
[
10021,
20311,
234032,
23134,
53451,
32433,
23481
]Get paged result of variants matching certain criteria. Result mapped with headers and item results
Extended search model used for searching products or variants in PIM with support for paging and sorting
Include archived items in result
OK
POST /v1/variants/search/paged HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 729
{
"Page": 1,
"PageSize": 10,
"FieldUids": [
"Id",
"89b4cda9-d803-4812-9862-51167c809f2c_en-GB_NA"
],
"SortByFieldUid": "89b4cda9-d803-4812-9862-51167c809f2c_en-GB_NA",
"SortDescending": true,
"IncludeArchived": false,
"QueryModel": {
"SubQueries": [
{
"Filters": [
{
"FieldUid": "6a5d7f84-1d34-4f96-b5c3-7a6e1d2b4c90_NA_NA",
"QueryOperator": {},
"FilterValue": "DK"
}
],
"BooleanOperator": {},
"QueryModelType": "SimpleQueryModel"
},
{
"Filters": [
{
"FieldUid": "89b4cda9-d803-4812-9862-51167c809f2c_en-GB_NA",
"QueryOperator": {},
"FilterValue": "red"
},
{
"FieldUid": "89b4cda9-d803-4812-9862-51167c809f2c_en-GB_NA",
"QueryOperator": {},
"FilterValue": "blue"
}
],
"BooleanOperator": {},
"QueryModelType": "SimpleQueryModel"
}
],
"BooleanOperator": {},
"QueryModelType": "BooleanQueryModel"
}
}OK
{
"TotalHits": 33,
"Page": 1,
"PageSize": 3,
"TotalPages": 11,
"ItemListHeaders": [
{
"FieldUid": "Id",
"FieldName": "Internal Id",
"FieldType": "string",
"SupportsSearching": true,
"SupportsSorting": true
},
{
"FieldUid": "89b4cda9-d803-4812-9862-51167c809f2c_en-GB_NA",
"FieldName": "Name (en-GB)",
"FieldType": "string",
"SupportsSearching": true,
"SupportsSorting": true
}
],
"ListItems": [
{
"Id": 10021,
"ShownValues": [
"10021",
"Apple Iphone - Red/256GB"
]
},
{
"Id": 20311,
"ShownValues": [
"20311",
"Apple Iphone - Red/512GB"
]
},
{
"Id": 234032,
"ShownValues": [
"234032",
"Samsung TV - 55 inch"
]
}
]
}OK
Representation of a queryable field in PIM
Unique id of field in PIM
The display name of the field
If true field can be used for sorting
GET /v1/variants/queryfields HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
[
{
"Uid": "PIM_CategoryIds",
"Name": "CategoryIds",
"SupportsSorting": false
},
{
"Uid": "PIM_Name_1",
"Name": "Internal Name (en-GB)",
"SupportsSorting": false
},
{
"Uid": "PIM_Name_3",
"Name": "Internal Name (da-DK)",
"SupportsSorting": false
},
{
"Uid": "89b4cda9-d803-4812-9862-51167c809f2c_en-GB_NA",
"Name": "Name (en-GB)",
"SupportsSorting": false
},
{
"Uid": "89b4cda9-d803-4812-9862-51167c809f2c_da-DK_NA",
"Name": "Name (da-DK)",
"SupportsSorting": false
},
{
"Uid": "7f2c7c6e-6d7f-4be0-b239-8db011f4c7a1_en-GB_NA",
"Name": "Description (en-GB)",
"SupportsSorting": false
},
{
"Uid": "7f2c7c6e-6d7f-4be0-b239-8db011f4c7a1_da-DK_NA",
"Name": "Description (da-DK)",
"SupportsSorting": false
}
]#Available from v.3.5.0
Id of variant to get insights for
OK
Model representing an entity's enrichment insight
Uid of enrichment insight
Id of entity
Completeness in percentage (0 - 100). Is null, if ignored is true
Indicates whether the completeness is ignored for this entity and this enrichment insight
GET /v1/variants/{id}/enrichmentinsights HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
[
{
"EnrichmentInsightSetupUid": "b9ab083f-d622-4eba-b273-4a9bf26a3a03",
"EntityId": 1974035,
"Completeness": 50,
"MissingData": [
{
"Type": "AttributeInsightsDataReference",
"DataReference": "f9a52541-5712-406b-b4b6-04a94399e00f_9_NA"
}
],
"Ignored": false
},
{
"EnrichmentInsightSetupUid": "731a399b-f61c-48d4-b1c0-251a20d7125a",
"EntityId": 1974035,
"Completeness": 100,
"MissingData": [],
"Ignored": false
}
]#Available from v.3.5.0
OK
Model representing an entity's enrichment insight
Uid of enrichment insight
Id of entity
Completeness in percentage (0 - 100). Is null, if ignored is true
Indicates whether the completeness is ignored for this entity and this enrichment insight
POST /v1/variants/batch/enrichmentinsights HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 3
[
1
]OK
[
{
"EnrichmentInsightSetupUid": "94bb56cb-367f-430f-944b-36abeeaa2c0f",
"EntityId": 1974035,
"Completeness": 50,
"MissingData": [
{
"Type": "AttributeInsightsDataReference",
"DataReference": "f9a52541-5712-406b-b4b6-04a94399e00f_9_NA"
}
],
"Ignored": false
},
{
"EnrichmentInsightSetupUid": "94bb56cb-367f-430f-944b-36abeeaa2c0f",
"EntityId": 1974043,
"Completeness": 100,
"MissingData": [],
"Ignored": false
}
]#Available from v.3.5.0
Uid of enrichment insight to get for batch of variants
OK
POST /v1/variants/batch/enrichmentinsights/{enrichmentInsightUid} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 3
[
1
]OK
[
{
"EnrichmentInsightSetupUid": "6368a9b3-a93a-4dbe-937e-918cfaf9523f",
"EntityId": 1974035,
"Completeness": 50,
"MissingData": [
{
"Type": "AttributeInsightsDataReference",
"DataReference": "f9a52541-5712-406b-b4b6-04a94399e00f_9_NA"
}
],
"Ignored": false
},
{
"EnrichmentInsightSetupUid": "6368a9b3-a93a-4dbe-937e-918cfaf9523f",
"EntityId": 1974043,
"Completeness": 100,
"MissingData": [],
"Ignored": false
}
]#Available from v.3.5.0
Id of variant
Uid of enrichment insight to toggle ignore for
Indicate whether to ignore the insight for the given enrichment insight and variant
OK
No content
PATCH /v1/variants/{id}/enrichmentinsights/{enrichmentInsightSetupUid}/{ignore} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
No content
#Available from v.3.5.0
Uid of enrichment insight to toggle ignore for
Indicate whether to ignore the insight for the given enrichment insight and variants
OK
No content
PATCH /v1/variants/batch/enrichmentinsights/{enrichmentInsightSetupUid}/{ignore} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 3
[
1
]OK
No content
A maximum of 1000 products can be requested in one request
Request model for getting inheritedAttributes for a list of products
The product ids to get inherited attributes for
The attribute uids to get inherited attributes for
OK
Request model for getting inheritedAttributes for a list of products
The product id of the products that owns the attributeValues
The variant id that inherits the attributeValues
The attribute uids that are inherited
POST /v1/variants/inheritedAttributeValues HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 81
{
"ProductIds": [
1
],
"InheritedAttributes": [
"123e4567-e89b-12d3-a456-426614174000"
]
}OK
[
{
"ProductId": 1,
"VariantId": 1,
"InheritedAttributes": [
"123e4567-e89b-12d3-a456-426614174000"
]
}
]Last updated